package de.ugoe.cs.util.console.listener;

import de.ugoe.cs.util.console.Console;

/**
 * <p>
 * Interface for listeners observing the output stream of the {@link Console}.
 * </p>
 * 
 * @author Steffen Herbold
 * @version 1.0
 */
public interface IOutputListener {

	/**
	 * <p>
	 * Receives messages send to the output stream of the {@link Console}.
	 * </p>
	 * 
	 * @param newMessage
	 *            message that was send to the console.
	 */
	public void outputMsg(String newMessage);

}
